%define major 4
%define libname %mklibname dvdnav %{major}
%define develname %mklibname dvdnav -d

Name:		libdvdnav
Summary:	DVD Navigation library
Version:	4.2.0
Release:	%mkrel 4
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.mplayerhq.hu
Source0:	http://www.mplayerhq.hu/MPlayer/releases/dvdnav/%{name}-%{version}.tar.bz2
# submitted upstream:
Patch0:		libdvdnav-c++-compatibility.patch
BuildRequires: libdvdread-devel >= 4.1.3

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{libname}
Summary:	DVD Navigation library
Group:		System/Libraries

%description -n	%{libname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{develname}
Summary:	DVD Navigation library headers and support files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname dvdnav 4 -d}

%description -n	%{develname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling 
applications with libdvdnav.

%prep

%setup -q
%apply_patches
./autogen.sh

%build
%define _disable_ld_no_undefined 1
%configure2_5x
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la
#gw remove buildroot
perl -pi -e "s^%buildroot^^" %buildroot%_bindir/dvdnav-config
%multiarch_binaries %{buildroot}%{_bindir}/dvdnav-config

%files -n %{libname}
%doc COPYING README
%{_libdir}/libdvdnavmini.so.%{major}*
%{_libdir}/libdvdnav.so.%{major}*

%files -n %{develname}
%doc COPYING NEWS TODO AUTHORS
%{_bindir}/dvdnav-config
%{_bindir}/*/dvdnav-config
%{_libdir}/libdvdnavmini.so
%{_libdir}/libdvdnav.so
%{_includedir}/dvdnav/
%_datadir/aclocal/dvdnav.m4
%_libdir/pkgconfig/dvdnav.pc
%_libdir/pkgconfig/dvdnavmini.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.2.0-4.mga3
+ Revision: 357032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 4.2.0-3.mga3
+ Revision: 328100
- disable undefined switch
- drop .la file

* Sat Feb 25 2012 anssi <anssi> 4.2.0-2.mga2
+ Revision: 214778
- restore C++ compatibility by not using 'this' as a parameter name
  (libdvdnav-c++-compatibility.patch, submitted upstream)

* Sun Nov 27 2011 tv <tv> 4.2.0-1.mga2
+ Revision: 172623
- new release

* Sat Jan 22 2011 ahmad <ahmad> 4.1.3-5.mga1
+ Revision: 31680
- drop old/unneeded scriptlets
- imported package libdvdnav

